%define pkgname WWW-Mediawiki-Client

Name:      perl-%pkgname
Summary:   Simple cvs-like interface for Mediawiki driven WikiWiki websites
Version:   0.25
Release:   1mdk
License:   Artistic
Group:     Development/Perl
URL:       http://www.cpan.org
Buildroot: %{_tmppath}/%{name}-%{version}
Buildarch: noarch
Source:    %pkgname-%version.tar.bz2

%description
WWW::Mediawiki::Client provides a very simple cvs-like interface for
Mediawiki driven WikiWiki websites, such as http://www.wikitravel.org or
http://www.wikipedia.org.  The interface mimics the two most basic cvs
commands: update and commit with similarly named methods.  Each of these has a
shorter alias, as in cvs.  Verbosity is controled through an output_level
accessor method.

%prep
%setup -q -n %{pkgname} 

%build
CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
%make 
%make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%_bindir/*
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.25-1mdk
- initial build
